.container{ height: auto; }
.menu
{
    width: 350px;
    margin-right: 3%;
}

.parent-toc
{
    position: fixed;
    margin-left: 10px;
    margin-top: 20px;
    padding-top: 10px;
    padding-bottom: 10px;
    border-top: 1px solid darkgrey;
    border-bottom: 1px solid darkgrey;
    width: 325px;
}
.parent-toc-indent
{
    margin-left: 10px;
    display: flex;
    flex-direction: column;
    justify-content: stretch;
}
.parent-toc-title
{
    text-decoration: none;
    font-size: 1.35em;
    font-weight: bold;
    color: mediumpurple;
}
.parent-toc-item
{
    margin-left:20px;
    text-decoration: none;
    color: black;
}


.doc
{
    flex: 1;
    margin-right: 10px;
}

.title::placeholder { color:rgba(255, 69, 0,.35); }
.title
{
    font-size: 2em;
    font-weight: bold;
    border: none;
    border-bottom: 1.5px solid rgba(0,0,0,0.7);
    color:orangered;
    margin-bottom: 30px;
}
.title:focus
{
    outline:none;
    border-bottom-color:black;
}

.toc
{
    border: 1px solid rgba(0,0,0,.7);
    width: 300px;
    display:flex;
    flex-direction:column;
    margin:5px;
    padding:5px;
}
.toc-title { font-weight:bold; text-align:center; }
#newItem
{
    border: 2px dashed darkgrey;
    color : darkgrey;
    text-align:center;
    margin-top: 5px;
    margin-bottom: 5px;
}
#newItem:active
{
    border-color:dimgrey;
    color:dimgrey;
}
.newItem
{
    border: 3px dashed darkgrey;
    color : darkgrey;
    text-align:center;
    margin-top: 20px;
    margin-bottom: 20px;
    height: 40px;
    font-size: 2em;
    font-weight: bold;
}
.newItem:active
{
    border-color:dimgrey;
    color:dimgrey;
}
.toc-item
{
    margin-top: 5px;
    margin-bottom: 5px;
    display:flex;
}

.toc-text
{
    display: inline-block;
    border:none;
    width:200px;
    padding-bottom: 2px;
}
.toc-anchor { vertical-align: top;}
.toc-text:focus { outline:none; border-bottom:1px solid black; padding-bottom:1px;}
.toc-item-remove
{
    font-size: 0.8em;
    background: white;
    border: 1px solid red;
    color: red;
    font-weight:bold;
    padding: 0;

}
.toc-item-remove:active
{
    border-color:darkred;
    color:darkred;
}
.toc-item-remove:focus {
    outline:none;
}

.toc-item-revice
{
    font-size: 0.8em;
    background: white;
    border: 1px solid green;
    color: green;
    font-weight:bold;
    padding :0;
}
.toc-item-revice:active
{
    border-color:yellowgreen;
    color:yellowgreen;
}
.toc-item-revice:focus {
    outline:none;
}
.toc-anchor
{
    text-decoration: none;
    font-weight: bold;
    color:darkgoldenrod;
    margin-right:2px;
}
.toc-anchor:active { text-decoration:underline; }
h2
{
    margin-top: 32px;
    margin-bottom:16px;
    border-bottom: 0.5px solid rgba(0,0,0,.6);
    padding-left: 5px;
}
article
{
    height: auto;
    border:1px solid rgb(192, 192, 192);
}
.article-content
{
    white-space: pre-wrap;
}
p { margin-left:16px;}
.article
{
    height: auto;
    border: none;
}
@media(max-width:500px)
{
    .toc { width: auto;}
    .toc-text{ width: auto;}
}

@media(max-width:1080px) {
    .container
    {
        flex-direction: column;
    }
    .menu {
        display:none;
    }
} 